#!/bin/sh
#-------------------------------------------------
# ProScan Management Tool Agent Updater
#
# All Rights Reserved, Copyright (C) Promark Inc. 2022
#
#---- change log
# 2022.02.04 PSMT agent upgrade script
#
MANAGER=$1
PORT=$2
CURRENT_DIR=`pwd`
INSTALL_DIR=/opt/proscan/agent
if [ "$MANAGER" = "" ]
then
    echo "Usage: agent_updater.sh manager [port]"
    exit 1;
fi
if [ "$PORT" = "" ]
then
    PORT=8505
fi

make_dir() {
    DIR_NAME=$1
    DIR=""
    for dir in `echo $DIR_NAME|awk '{n=split($0,path,"/")} END{for(i=1;i<=n;i++) printf("%s ",path[i])}'`
    do
        DIR="$DIR/$dir"
        if [ ! -d $DIR ]
        then
            mkdir $DIR
        fi
    done
}

copy_file() {
    SRC=$1
    DST=$2
    
    if [ "$3" = "conv" ]
    then
        sed -e "s/192.168.100.4/$MANAGER/g;s/8505/$PORT/g" $SRC > $DST
        chmod u+x $DST
    else
        cp -p $SRC $DST
    fi
}

# param check
if [ "$MANAGER" = "" ]
then
    echo "Usage: agent_updater.sh MANAGER [PORT]"
    exit
fi

if [ "$PORT" = "" ]
then
    PORT=8505
fi

# Copy module
if [ -d $CURRENT_DIR/bin ]
then
    cd $CURRENT_DIR/bin
    for f in *
    do
        if [ -f $INSTALL_DIR/bin/$f ]
        then
	    cp -p $INSTALL_DIR/bin/$f $INSTALL_DIR/bin/$f.back
        fi
	copy_file $f $INSTALL_DIR/bin/$f conv
    done
fi

if [ -d $CURRENT_DIR/script ]
then
    cd $CURRENT_DIR/script
    for f in *
    do
        if [ -f $INSTALL_DIR/script/$f ]
        then
	    cp -p $INSTALL_DIR/script/$f $INSTALL_DIR/script/$f.back
        fi
	copy_file $f $INSTALL_DIR/script/$f conv
    done
fi
